### Function Macro

# Vips NEW

#### Declaration [src]

    #define VIPS_NEW (
      OBJ,
      T
    )

#### Description [src]

Allocate memory for a thing of type `T`. The memory is not cleared.

This macro cannot fail. See `vips_tracked_malloc()` if you are allocating large amounts of memory.

See also

`vips_malloc()`.

This function is not directly available to language bindings.

#### Parameters

`OBJ`

  Type: `-`

  Allocate memory local to `OBJ`, or `NULL` for no auto-free.

`T`

  Type: `-`

  Type of thing to allocate.